# PointerDeviceKind enum

The kind of pointer device.

## Constants

invertedStylus → const PointerDeviceKind

  A pointer device with a stylus that has been inverted.

  `const PointerDeviceKind(3)`
mouse → const PointerDeviceKind

  A mouse-based pointer device.

  `const PointerDeviceKind(1)`
stylus → const PointerDeviceKind

  A pointer device with a stylus.

  `const PointerDeviceKind(2)`
touch → const PointerDeviceKind

  A touch-based pointer device.

  `const PointerDeviceKind(0)`
unknown → const PointerDeviceKind

  An unknown pointer device.

  `const PointerDeviceKind(4)`
values → const List<PointerDeviceKind>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PointerDeviceKind>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited